--- old/usr/src/cmd/hwdata/pci.ids	Thu Sep  4 21:12:19 2014
+++ new/usr/src/cmd/hwdata/pci.ids	Thu Sep  4 21:12:19 2014
@@ -22897,14 +24202,22 @@
 	3b21  5 Series/3400 Series Chipset 2 port SATA IDE Controller
 	3b22  5 Series/3400 Series Chipset 6 port SATA AHCI Controller
 		1028 02da  OptiPlex 980
+		15d9 060d  C7SIM-Q Motherboard
 	3b23  5 Series/3400 Series Chipset 4 port SATA AHCI Controller
 	3b25  5 Series/3400 Series Chipset SATA RAID Controller
+		103c 3118  HP Smart Array B110i SATA RAID Controller
 	3b26  5 Series/3400 Series Chipset 2 port SATA IDE Controller
 	3b28  5 Series/3400 Series Chipset 4 port SATA IDE Controller
+		144d c06a  R730 Laptop
+		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 	3b29  5 Series/3400 Series Chipset 4 port SATA AHCI Controller
 		1025 0347  Aspire 7740G
+		144d c06a  R730 Laptop
+		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 	3b2c  5 Series/3400 Series Chipset SATA RAID Controller
 	3b2d  5 Series/3400 Series Chipset 2 port SATA IDE Controller
+		144d c06a  R730 Laptop
+		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 		e4bf 50c1  PC1-GROOVE
 	3b2e  5 Series/3400 Series Chipset 4 port SATA IDE Controller
 		e4bf 50c1  PC1-GROOVE
@@ -22915,13 +24228,21 @@
 		1025 0347  Aspire 7740G
 		1028 02da  OptiPlex 980
 		1028 040b  Latitude E6510
+		144d c06a  R730 Laptop
+		15d9 060d  C7SIM-Q Motherboard
+		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 		e4bf 50c1  PC1-GROOVE
 	3b32  5 Series/3400 Series Chipset Thermal Subsystem
 		1025 0347  Aspire 7740G
+		144d c06a  R730 Laptop
+		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 	3b34  5 Series/3400 Series Chipset USB2 Enhanced Host Controller
 		1025 0347  Aspire 7740G
 		1028 02da  OptiPlex 980
 		1028 040b  Latitude E6510
+		144d c06a  R730 Laptop
+		15d9 060d  C7SIM-Q Motherboard
+		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 		e4bf 50c1  PC1-GROOVE
 	3b36  5 Series/3400 Series Chipset USB Universal Host Controller
 	3b37  5 Series/3400 Series Chipset USB Universal Host Controller
@@ -22933,6 +24254,9 @@
 		1025 0347  Aspire 7740G
 		1028 02da  OptiPlex 980
 		1028 040b  Latitude E6510
+		144d c06a  R730 Laptop
+		15d9 060d  C7SIM-Q Motherboard
+		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 		e4bf 50c1  PC1-GROOVE
 	3b3e  5 Series/3400 Series Chipset USB Universal Host Controller
 	3b3f  5 Series/3400 Series Chipset USB Universal Host Controller
@@ -22941,14 +24265,23 @@
 	3b42  5 Series/3400 Series Chipset PCI Express Root Port 1
 		1028 02da  OptiPlex 980
 		1028 040b  Latitude E6510
+		144d c06a  R730 Laptop
+		15d9 060d  C7SIM-Q Motherboard
+		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 	3b44  5 Series/3400 Series Chipset PCI Express Root Port 2
 		1028 040b  Latitude E6510
+		15d9 060d  C7SIM-Q Motherboard
+		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 	3b46  5 Series/3400 Series Chipset PCI Express Root Port 3
 		1028 040b  Latitude E6510
+		144d c06a  R730 Laptop
+		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 	3b48  5 Series/3400 Series Chipset PCI Express Root Port 4
 		1028 040b  Latitude E6510
+		144d c06a  R730 Laptop
 	3b4a  5 Series/3400 Series Chipset PCI Express Root Port 5
 		1028 02da  OptiPlex 980
+		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 	3b4c  5 Series/3400 Series Chipset PCI Express Root Port 6
 	3b4e  5 Series/3400 Series Chipset PCI Express Root Port 7
 	3b50  5 Series/3400 Series Chipset PCI Express Root Port 8
@@ -22957,10 +24290,15 @@
 		1025 0347  Aspire 7740G
 		1028 02da  OptiPlex 980
 		1028 040b  Latitude E6510
+		144d c06a  R730 Laptop
+		15d9 060d  C7SIM-Q Motherboard
+		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 		e4bf 50c1  PC1-GROOVE
 	3b57  5 Series/3400 Series Chipset High Definition Audio
 	3b64  5 Series/3400 Series Chipset HECI Controller
 		1025 0347  Aspire 7740G
+		15d9 060d  C7SIM-Q Motherboard
+		17c0 10d2  Medion Akoya E7214 Notebook PC [MD98410]
 		e4bf 50c1  PC1-GROOVE
 	3b65  5 Series/3400 Series Chipset HECI Controller
 	3b66  5 Series/3400 Series Chipset PT IDER Controller
@@ -23085,7 +24423,7 @@
 	4222  PRO/Wireless 3945ABG [Golan] Network Connection
 		103c 135c  PRO/Wireless 3945ABG [Golan] Network Connection
 		8086 1000  PRO/Wireless 3945ABG Network Connection
-		8086 1001  PRO/Wireless 3945ABG Network Connection
+		8086 1001  WM3945ABG MOW2
 		8086 1005  PRO/Wireless 3945BG Network Connection
 		8086 1034  PRO/Wireless 3945BG Network Connection
 		8086 1044  PRO/Wireless 3945BG Network Connection
@@ -23210,10 +24548,12 @@
 	504a  EP80579 Reserved
 	504b  EP80579 Reserved
 	504c  EP80579 Integrated Processor with QuickAssist TDM
-	5200  EtherExpress PRO/100 Intelligent Server
-	5201  EtherExpress PRO/100 Intelligent Server
+	5200  EtherExpress PRO/100 Intelligent Server PCI Bridge
+	5201  EtherExpress PRO/100 Intelligent Server Fast Ethernet Controller
 		8086 0001  EtherExpress PRO/100 Server Ethernet Adapter
 	530d  80310 (IOP) IO Processor
+	5845  QEMU NVM Express Controller
+		1af4 1100  QEMU Virtual Machine
 	65c0  5100 Chipset Memory Controller Hub
 	65e2  5100 Chipset PCI Express x4 Port 2
 	65e3  5100 Chipset PCI Express x4 Port 3
@@ -23234,12 +24574,173 @@
 	65f9  5100 Chipset PCI Express x8 Port 6-7
 	65fa  5100 Chipset PCI Express x16 Port 4-7
 	65ff  5100 Chipset DMA Engine
+	6f00  Broadwell DMI2
+	6f01  Broadwell PCI Express Root Port 0
+	6f02  Broadwell PCI Express Root Port 1
+	6f03  Broadwell PCI Express Root Port 1
+	6f04  Broadwell PCI Express Root Port 2
+	6f05  Broadwell PCI Express Root Port 2
+	6f06  Broadwell PCI Express Root Port 2
+	6f07  Broadwell PCI Express Root Port 2
+	6f08  Broadwell PCI Express Root Port 3
+	6f09  Broadwell PCI Express Root Port 3
+	6f0a  Broadwell PCI Express Root Port 3
+	6f0b  Broadwell PCI Express Root Port 3
+	6f10  Broadwell IIO Debug
+	6f11  Broadwell IIO Debug
+	6f12  Broadwell IIO Debug
+	6f13  Broadwell IIO Debug
+	6f14  Broadwell IIO Debug
+	6f15  Broadwell IIO Debug
+	6f16  Broadwell IIO Debug
+	6f17  Broadwell IIO Debug
+	6f18  Broadwell IIO Debug
+	6f19  Broadwell IIO Debug
+	6f1a  Broadwell IIO Debug
+	6f1b  Broadwell IIO Debug
+	6f1c  Broadwell IIO Debug
+	6f1d  Broadwell R2PCIe Agent
+	6f1e  Broadwell Ubox
+	6f1f  Broadwell Ubox
+	6f20  Broadwell-DE Crystal Beach DMA Channel 0
+	6f21  Broadwell-DE Crystal Beach DMA Channel 1
+	6f22  Broadwell-DE Crystal Beach DMA Channel 2
+	6f23  Broadwell-DE Crystal Beach DMA Channel 3
+	6f24  Broadwell-DE Crystal Beach DMA Channel 4
+	6f25  Broadwell-DE Crystal Beach DMA Channel 5
+	6f26  Broadwell-DE Crystal Beach DMA Channel 6
+	6f27  Broadwell-DE Crystal Beach DMA Channel 7
+	6f28  Broadwell Adress Map/VTd_Misc/System Management
+	6f29  Broadwell IIO Hot Plug
+	6f2a  Broadwell IIO RAS/Control Status/Global Errors
+	6f2c  Broadwell I/O APIC
+	6f30  Broadwell Home Agent 0
+	6f32  Broadwell QPI Link 0
+	6f33  Broadwell QPI Link 1
+	6f34  Broadwell R2PCIe Agent
+	6f36  Broadwell R3 QPI Link 0/1
+	6f37  Broadwell R3 QPI Link 0/1
+	6f38  Broadwell Home Agent 1
+	6f39  Broadwell IO Performance Monitoring
+	6f3a  Broadwell QPI Link 2
+	6f3e  Broadwell R3 QPI Link 2
+	6f3f  Broadwell R3 QPI Link 2
+	6f40  Broadwell QPI Link 2
+	6f41  Broadwell R3 QPI Link 2
+	6f43  Broadwell QPI Link 2
+	6f45  Broadwell QPI Link 2 Debug
+	6f46  Broadwell QPI Link 2 Debug
+	6f47  Broadwell QPI Link 2 Debug
+	6f60  Broadwell Home Agent 1
+	6f68  Broadwell Target Address/Thermal/RAS
+	6f6a  Broadwell Channel Target Address Decoder
+	6f6b  Broadwell Channel Target Address Decoder
+	6f6c  Broadwell Channel Target Address Decoder
+	6f6d  Broadwell Channel Target Address Decoder
+	6f6e  Broadwell DDRIO Channel 2/3 Broadcast
+	6f6f  Broadwell DDRIO Global Broadcast
+	6f70  Broadwell Home Agent 0 Debug
+	6f71  Broadwell Memory Controller 0 - Target Address/Thermal/RAS
+	6f76  Broadwell R3 QPI Link Debug
+	6f78  Broadwell Home Agent 1 Debug
+	6f79  Broadwell Target Address/Thermal/RAS
+	6f7d  Broadwell Ubox
+	6f7e  Broadwell R3 QPI Link Debug
+	6f80  Broadwell QPI Link 0
+	6f81  Broadwell R3 QPI Link 0/1
+	6f83  Broadwell QPI Link 0
+	6f85  Broadwell QPI Link 0 Debug
+	6f86  Broadwell QPI Link 0 Debug
+	6f87  Broadwell QPI Link 0 Debug
+	6f88  Broadwell Power Control Unit
+	6f8a  Broadwell Power Control Unit
+	6f90  Broadwell QPI Link 1
+	6f93  Broadwell QPI Link 1
+	6f95  Broadwell QPI Link 1 Debug
+	6f96  Broadwell QPI Link 1 Debug
+	6f98  Broadwell Power Control Unit
+	6f99  Broadwell Power Control Unit
+	6f9a  Broadwell Power Control Unit
+	6f9c  Broadwell Power Control Unit
+	6fa0  Broadwell Home Agent 0
+	6fa8  Broadwell Memory Controller 0 - Target Address/Thermal/RAS
+	6faa  Broadwell Memory Controller 0 - Channel Target Address Decoder
+	6fab  Broadwell Memory Controller 0 - Channel Target Address Decoder
+	6fac  Broadwell Memory Controller 0 - Channel Target Address Decoder
+	6fad  Broadwell Memory Controller 0 - Channel Target Address Decoder
+	6fae  Broadwell DDRIO Channel 0/1 Broadcast
+	6faf  Broadwell DDRIO Global Broadcast
+	6fb0  Broadwell Memory Controller 0 - Channel 0 Thermal Control
+	6fb1  Broadwell Memory Controller 0 - Channel 1 Thermal Control
+	6fb2  Broadwell Memory Controller 0 - Channel 0 Error
+	6fb3  Broadwell Memory Controller 0 - Channel 1 Error
+	6fb4  Broadwell Memory Controller 0 - Channel 2 Thermal Control
+	6fb5  Broadwell Memory Controller 0 - Channel 3 Thermal Control
+	6fb6  Broadwell Memory Controller 0 - Channel 2 Error
+	6fb7  Broadwell Memory Controller 0 - Channel 3 Error
+	6fb8  Broadwell DDRIO Channel 2/3 Interface
+	6fb9  Broadwell DDRIO Channel 2/3 Interface
+	6fba  Broadwell DDRIO Channel 2/3 Interface
+	6fbb  Broadwell DDRIO Channel 2/3 Interface
+	6fbc  Broadwell DDRIO Channel 0/1 Interface
+	6fbd  Broadwell DDRIO Channel 0/1 Interface
+	6fbe  Broadwell DDRIO Channel 0/1 Interface
+	6fbf  Broadwell DDRIO Channel 0/1 Interface
+	6fc0  Broadwell Power Control Unit
+	6fc1  Broadwell Power Control Unit
+	6fc2  Broadwell Power Control Unit
+	6fc3  Broadwell Power Control Unit
+	6fc4  Broadwell Power Control Unit
+	6fc5  Broadwell Power Control Unit
+	6fc6  Broadwell Power Control Unit
+	6fc7  Broadwell Power Control Unit
+	6fc8  Broadwell Power Control Unit
+	6fc9  Broadwell Power Control Unit
+	6fca  Broadwell Power Control Unit
+	6fcb  Broadwell Power Control Unit
+	6fcc  Broadwell Power Control Unit
+	6fcd  Broadwell Power Control Unit
+	6fce  Broadwell Power Control Unit
+	6fcf  Broadwell Power Control Unit
+	6fd0  Broadwell Memory Controller 1 - Channel 0 Thermal Control
+	6fd1  Broadwell Memory Controller 1 - Channel 1 Thermal Control
+	6fd2  Broadwell Memory Controller 1 - Channel 0 Error
+	6fd3  Broadwell Memory Controller 1 - Channel 1 Error
+	6fd4  Broadwell Memory Controller 1 - Channel 2 Thermal Control
+	6fd5  Broadwell Memory Controller 1 - Channel 3 Thermal Control
+	6fd6  Broadwell Memory Controller 1 - Channel 2 Error
+	6fd7  Broadwell Memory Controller 1 - Channel 3 Error
+	6fe0  Broadwell Caching Agent
+	6fe1  Broadwell Caching Agent
+	6fe2  Broadwell Caching Agent
+	6fe3  Broadwell Caching Agent
+	6fe4  Broadwell Caching Agent
+	6fe5  Broadwell Caching Agent
+	6fe6  Broadwell Caching Agent
+	6fe7  Broadwell Caching Agent
+	6fe8  Broadwell Caching Agent
+	6fe9  Broadwell Caching Agent
+	6fea  Broadwell Caching Agent
+	6feb  Broadwell Caching Agent
+	6fec  Broadwell Caching Agent
+	6fed  Broadwell Caching Agent
+	6fee  Broadwell Caching Agent
+	6fef  Broadwell Caching Agent
+	6ff0  Broadwell Caching Agent
+	6ff1  Broadwell Caching Agent
+	6ff8  Broadwell Caching Agent
+	6ff9  Broadwell Caching Agent
+	6ffa  Broadwell Caching Agent
+	6ffb  Broadwell Caching Agent
+	6ffc  Broadwell Caching Agent
+	6ffd  Broadwell Caching Agent
+	6ffe  Broadwell Caching Agent
 	7000  82371SB PIIX3 ISA [Natoma/Triton II]
 		1af4 1100  Qemu virtual machine
 	7010  82371SB PIIX3 IDE [Natoma/Triton II]
 		1af4 1100  Qemu virtual machine
 	7020  82371SB PIIX3 USB [Natoma/Triton II]
-		1af4 1100  Qemu virtual machine
+		1af4 1100  QEMU Virtual Machine
 	7030  430VX - 82437VX TVX [Triton VX]
 	7050  Intercast Video Capture Card
 	7051  PB 642365-003 (Business Video Conferencing Card)
@@ -23250,6 +24751,7 @@
 		15ad 1976  Virtual Machine Chipset
 	7112  82371AB/EB/MB PIIX4 USB
 		15ad 1976  Virtual Machine Chipset
+		1af4 1100  QEMU Virtual Machine
 	7113  82371AB/EB/MB PIIX4 ACPI
 		15ad 1976  Virtual Machine Chipset
 		1af4 1100  Qemu virtual machine
@@ -23387,6 +24889,7 @@
 	8c01  8 Series Chipset Family 4-port SATA Controller 1 [IDE mode] - Mobile
 	8c02  8 Series/C220 Series Chipset Family 6-port SATA Controller 1 [AHCI mode]
 	8c03  8 Series/C220 Series Chipset Family 6-port SATA Controller 1 [AHCI mode]
+		103c 1909  ZBook 15
 		17aa 220e  ThinkPad T440p
 	8c04  8 Series/C220 Series Chipset Family SATA Controller 1 [RAID mode]
 	8c05  8 Series/C220 Series Chipset Family SATA Controller 1 [RAID mode]
@@ -23415,21 +24918,27 @@
 	8c1e  8 Series/C220 Series Chipset Family PCI Express Root Port #8
 	8c1f  8 Series/C220 Series Chipset Family PCI Express Root Port #8
 	8c20  8 Series/C220 Series Chipset High Definition Audio Controller
+		103c 1909  ZBook 15
 		17aa 220e  ThinkPad T440p
 	8c21  8 Series/C220 Series Chipset High Definition Audio Controller
 	8c22  8 Series/C220 Series Chipset Family SMBus Controller
+		103c 1909  ZBook 15
 		17aa 220e  ThinkPad T440p
 	8c23  8 Series Chipset Family CHAP Counters
 	8c24  8 Series Chipset Family Thermal Management Controller
 	8c26  8 Series/C220 Series Chipset Family USB EHCI #1
+		103c 1909  ZBook 15
 		17aa 220e  ThinkPad T440p
 	8c2d  8 Series/C220 Series Chipset Family USB EHCI #2
+		103c 1909  ZBook 15
 		17aa 220e  ThinkPad T440p
 	8c31  8 Series/C220 Series Chipset Family USB xHCI
+		103c 1909  ZBook 15
 		17aa 220e  ThinkPad T440p
 	8c33  8 Series/C220 Series Chipset Family LAN Controller
 	8c34  8 Series/C220 Series Chipset Family NAND Controller
 	8c3a  8 Series/C220 Series Chipset Family MEI Controller #1
+		103c 1909  ZBook 15
 		17aa 220e  ThinkPad T440p
 	8c3b  8 Series/C220 Series Chipset Family MEI Controller #2
 	8c3c  8 Series/C220 Series Chipset Family IDE-r Controller
@@ -23450,6 +24959,7 @@
 	8c4d  8 Series/C220 Series Chipset Family LPC Controller
 	8c4e  Q87 Express LPC Controller
 	8c4f  QM87 Express LPC Controller
+		103c 1909  ZBook 15
 		17aa 220e  ThinkPad T440p
 	8c50  B85 Express LPC Controller
 	8c51  8 Series/C220 Series Chipset Family LPC Controller
@@ -23467,10 +24977,47 @@
 	8c5d  8 Series/C220 Series Chipset Family LPC Controller
 	8c5e  8 Series/C220 Series Chipset Family LPC Controller
 	8c5f  8 Series/C220 Series Chipset Family LPC Controller
+	8c80  9 Series Chipset Family SATA Controller [IDE Mode]
+	8c81  9 Series Chipset Family SATA Controller [IDE Mode]
+	8c82  9 Series Chipset Family SATA Controller [AHCI Mode]
+	8c83  9 Series Chipset Family SATA Controller [AHCI Mode]
+	8c84  9 Series Chipset Family SATA Controller [RAID Mode]
+	8c85  9 Series Chipset Family SATA Controller [RAID Mode]
+	8c86  9 Series Chipset Family SATA Controller [RAID Mode]
+	8c87  9 Series Chipset Family SATA Controller [RAID Mode]
+	8c88  9 Series Chipset Family SATA Controller [IDE Mode]
+	8c89  9 Series Chipset Family SATA Controller [IDE Mode]
+	8c8e  9 Series Chipset Family SATA Controller [RAID Mode]
+	8c8f  9 Series Chipset Family SATA Controller [RAID Mode]
+	8c90  9 Series Chipset Family PCI Express Root Port 1
+	8c92  9 Series Chipset Family PCI Express Root Port 2
+	8c94  9 Series Chipset Family PCI Express Root Port 3
+	8c96  9 Series Chipset Family PCI Express Root Port 4
+	8c98  9 Series Chipset Family PCI Express Root Port 5
+	8c9a  9 Series Chipset Family PCI Express Root Port 6
+	8c9c  9 Series Chipset Family PCI Express Root Port 7
+	8c9e  9 Series Chipset Family PCI Express Root Port 8
+	8ca0  9 Series Chipset Family HD Audio Controller
+	8ca2  9 Series Chipset Family SMBus Controller
+	8ca4  9 Series Chipset Family Thermal Controller
+	8ca6  9 Series Chipset Family USB EHCI Controller #1
+	8cad  9 Series Chipset Family USB EHCI Controller #2
+	8cb1  9 Series Chipset Family USB xHCI Controller
+	8cb3  9 Series Chipset Family LAN Controller
+	8cba  9 Series Chipset Family ME Interface #1
+	8cbb  9 Series Chipset Family ME Interface #2
+	8cbc  9 Series Chipset Family IDE-R Controller
+	8cbd  9 Series Chipset Family KT Controller
+	8cc1  9 Series Chipset Family LPC Controller
+	8cc2  9 Series Chipset Family LPC Controller
+	8cc3  9 Series Chipset Family HM97 LPC Controller
+	8cc4  9 Series Chipset Family Z97 LPC Controller
+	8cc6  9 Series Chipset Family H97 Controller
 	8d00  Wellsburg 4-port SATA Controller [IDE mode]
 	8d02  Wellsburg 6-Port SATA Controller [AHCI mode]
 	8d04  Wellsburg SATA Controller [RAID mode]
 	8d06  Wellsburg SATA Controller [RAID mode]
+		17aa 1031  ThinkServer RAID 110i
 	8d08  Wellsburg 2-port SATA Controller [IDE mode]
 	8d0e  Wellsburg SATA Controller [RAID mode]
 	8d10  Wellsburg PCI Express Root Port #1
@@ -23536,67 +25083,74 @@
 	9622  Integrated RAID
 	9641  Integrated RAID
 	96a1  Integrated RAID
-	9c00  Lynx Point-LP SATA Controller 1 [IDE mode]
-	9c01  Lynx Point-LP SATA Controller 1 [IDE mode]
-	9c02  Lynx Point-LP SATA Controller 1 [AHCI mode]
-	9c03  Lynx Point-LP SATA Controller 1 [AHCI mode]
-	9c04  Lynx Point-LP SATA Controller 1 [RAID mode]
-	9c05  Lynx Point-LP SATA Controller 1 [RAID mode]
-	9c06  Lynx Point-LP SATA Controller 1 [RAID mode]
-	9c07  Lynx Point-LP SATA Controller 1 [RAID mode]
-	9c08  Lynx Point-LP SATA Controller 2 [IDE mode]
-	9c09  Lynx Point-LP SATA Controller 2 [IDE mode]
-	9c0a  LynxPoint-LP SATA Controller [Reserved]
-	9c0b  LynxPoint-LP SATA Controller [Reserved]
-	9c0c  LynxPoint-LP SATA Controller [Reserved]
-	9c0d  LynxPoint-LP SATA Controller [Reserved]
-	9c0e  Lynx Point-LP SATA Controller 1 [RAID mode]
-	9c0f  Lynx Point-LP SATA Controller 1 [RAID mode]
-	9c10  Lynx Point-LP PCI Express Root Port 1
-	9c11  Lynx Point-LP PCI Express Root Port 1
-	9c12  Lynx Point-LP PCI Express Root Port 2
-	9c13  Lynx Point-LP PCI Express Root Port 2
-	9c14  Lynx Point-LP PCI Express Root Port 3
-	9c15  Lynx Point-LP PCI Express Root Port 3
-	9c16  Lynx Point-LP PCI Express Root Port 4
-	9c17  Lynx Point-LP PCI Express Root Port 4
-	9c18  Lynx Point-LP PCI Express Root Port 5
-	9c19  Lynx Point-LP PCI Express Root Port 5
-	9c1a  Lynx Point-LP PCI Express Root Port 6
-	9c1b  Lynx Point-LP PCI Express Root Port 6
-	9c1c  Lynx Point-LP PCI Express Root Port 7
-	9c1d  Lynx Point-LP PCI Express Root Port 7
-	9c1e  Lynx Point-LP PCI Express Root Port 8
-	9c1f  Lynx Point-LP PCI Express Root Port 8
-	9c20  Lynx Point-LP HD Audio Controller
-	9c21  Lynx Point-LP HD Audio Controller
-	9c22  Lynx Point-LP SMBus Controller
-	9c23  Lynx Point-LP CHAP Counters
-	9c24  Lynx Point-LP Thermal
-	9c26  Lynx Point-LP USB EHCI #1
-	9c2d  Lynx Point-LP USB EHCI #2
-	9c31  Lynx Point-LP USB xHCI HC
-	9c35  Lynx Point-LP SDIO Controller
-	9c36  Lynx Point-LP Audio DSP Controller
-	9c3a  Lynx Point-LP HECI #0
-	9c3b  Lynx Point-LP HECI #1
-	9c3c  Lynx Point-LP HECI IDER
-	9c3d  Lynx Point-LP HECI KT
-	9c40  Lynx Point-LP LPC Controller
-	9c41  Lynx Point-LP LPC Controller
-	9c42  Lynx Point-LP LPC Controller
-	9c43  Lynx Point-LP LPC Controller
-	9c44  Lynx Point-LP LPC Controller
-	9c45  Lynx Point-LP LPC Controller
-	9c46  Lynx Point-LP LPC Controller
-	9c47  Lynx Point-LP LPC Controller
-	9c60  Lynx Point-LP Low Power Sub-System DMA
-	9c61  Lynx Point-LP I2C Controller #0
-	9c62  Lynx Point-LP I2C Controller #1
-	9c63  Lynx Point-LP UART Controller #0
-	9c64  Lynx Point-LP UART Controller #1
-	9c65  Lynx Point-LP SPI Controller #0
-	9c66  Lynx Point-LP SPI Controller #1
+	9c00  8 Series SATA Controller 1 [IDE mode]
+	9c01  8 Series SATA Controller 1 [IDE mode]
+	9c02  8 Series SATA Controller 1 [AHCI mode]
+	9c03  8 Series SATA Controller 1 [AHCI mode]
+		17aa 2214  ThinkPad X240
+	9c04  8 Series SATA Controller 1 [RAID mode]
+	9c05  8 Series SATA Controller 1 [RAID mode]
+	9c06  8 Series SATA Controller 1 [RAID mode]
+	9c07  8 Series SATA Controller 1 [RAID mode]
+	9c08  8 Series SATA Controller 2 [IDE mode]
+	9c09  8 Series SATA Controller 2 [IDE mode]
+	9c0a  8 Series SATA Controller [Reserved]
+	9c0b  8 Series SATA Controller [Reserved]
+	9c0c  8 Series SATA Controller [Reserved]
+	9c0d  8 Series SATA Controller [Reserved]
+	9c0e  8 Series SATA Controller 1 [RAID mode]
+	9c0f  8 Series SATA Controller 1 [RAID mode]
+	9c10  8 Series PCI Express Root Port 1
+	9c11  8 Series PCI Express Root Port 1
+	9c12  8 Series PCI Express Root Port 2
+	9c13  8 Series PCI Express Root Port 2
+	9c14  8 Series PCI Express Root Port 3
+	9c15  8 Series PCI Express Root Port 3
+	9c16  8 Series PCI Express Root Port 4
+	9c17  8 Series PCI Express Root Port 4
+	9c18  8 Series PCI Express Root Port 5
+	9c19  8 Series PCI Express Root Port 5
+	9c1a  8 Series PCI Express Root Port 6
+	9c1b  8 Series PCI Express Root Port 6
+	9c1c  8 Series PCI Express Root Port 7
+	9c1d  8 Series PCI Express Root Port 7
+	9c1e  8 Series PCI Express Root Port 8
+	9c1f  8 Series PCI Express Root Port 8
+	9c20  8 Series HD Audio Controller
+		17aa 2214  ThinkPad X240
+	9c21  8 Series HD Audio Controller
+	9c22  8 Series SMBus Controller
+		17aa 2214  ThinkPad X240
+	9c23  8 Series CHAP Counters
+	9c24  8 Series Thermal
+	9c26  8 Series USB EHCI #1
+		17aa 2214  ThinkPad X240
+	9c2d  8 Series USB EHCI #2
+	9c31  8 Series USB xHCI HC
+		17aa 2214  ThinkPad X240
+	9c35  8 Series SDIO Controller
+	9c36  8 Series Audio DSP Controller
+	9c3a  8 Series HECI #0
+		17aa 2214  ThinkPad X240
+	9c3b  8 Series HECI #1
+	9c3c  8 Series HECI IDER
+	9c3d  8 Series HECI KT
+	9c40  8 Series LPC Controller
+	9c41  8 Series LPC Controller
+	9c42  8 Series LPC Controller
+	9c43  8 Series LPC Controller
+		17aa 2214  ThinkPad X240
+	9c44  8 Series LPC Controller
+	9c45  8 Series LPC Controller
+	9c46  8 Series LPC Controller
+	9c47  8 Series LPC Controller
+	9c60  8 Series Low Power Sub-System DMA
+	9c61  8 Series I2C Controller #0
+	9c62  8 Series I2C Controller #1
+	9c63  8 Series UART Controller #0
+	9c64  8 Series UART Controller #1
+	9c65  8 Series SPI Controller #0
+	9c66  8 Series SPI Controller #1
 	9c83  Wildcat Point-LP SATA Controller [AHCI Mode]
 	9c85  Wildcat Point-LP SATA Controller [RAID Mode]
 	9c87  Wildcat Point-LP SATA Controller [RAID Mode]
@@ -23664,6 +25218,7 @@
 	d130  Core Processor DMI
 	d131  Core Processor DMI
 		1028 02da  OptiPlex 980
+		15d9 060d  C7SIM-Q Motherboard
 	d132  Core Processor DMI
 		1028 040b  Latitude E6510
 	d133  Core Processor DMI
@@ -23674,6 +25229,7 @@
 	d138  Core Processor PCI Express Root Port 1
 		1028 02da  OptiPlex 980
 		1028 040b  Latitude E6510
+		15d9 060d  C7SIM-Q Motherboard
 	d139  Core Processor PCI Express Root Port 2
 	d13a  Core Processor PCI Express Root Port 3
 	d13b  Core Processor PCI Express Root Port 4
@@ -24063,6 +25619,7 @@
 	8088  PMC-Sierra PM8018 SAS HBA [Series 7H]
 	8089  PMC-Sierra PM8019 SAS encryption HBA [Series 7He]
 	808f  AIC-7901 U320 w/HostRAID
+		1028 0168  Precision Workstation 670 Mainboard
 	8090  ASC-39320 U320 w/HostRAID
 	8091  ASC-39320D U320 w/HostRAID
 	8092  ASC-29320 U320 w/HostRAID
@@ -24111,8 +25668,10 @@
 	9904  4-Port PCIe Serial Adapter
 # 2-port Serial 1-port Parallel Adaptor
 	9912  PCIe 9912 Multi-I/O Controller
-	9922  PCIe 9922 Multi-I/O Controller
+	9922  MCS9922 PCIe Multi-I/O Controller
 	9990  MCS9990 PCIe to 4‐Port USB 2.0 Host Controller
+# Subsystem ID on a 3c985B-SX network card
+9850  3Com (wrong ID)
 9902  Stargen Inc.
 	0001  SG2010 PCI over Starfabric Bridge
 	0002  SG2010 PCI to Starfabric Gateway
@@ -24126,6 +25685,22 @@
 a727  3Com Corporation
 	0013  3CRPAG175 Wireless PC Card
 	6803  3CRDAG675B Wireless 11a/b/g Adapter
+aa00  iTuner
+aa01  iTuner
+aa02  iTuner
+aa03  iTuner
+aa04  iTuner
+aa05  iTuner
+aa06  iTuner
+aa07  iTuner
+aa08  iTuner
+aa09  iTuner
+aa0a  iTuner
+aa0b  iTuner
+aa0c  iTuner
+aa0d  iTuner
+aa0e  iTuner
+aa0f  iTuner
 aa42  Scitex Digital Video
 aa55  Ncomputing X300 PCI-Engine
 aaaa  Adnaco Technology Inc.
@@ -24150,6 +25725,7 @@
 # Pinnacle should be 11bd, but they got it wrong several times --mj
 bd11  Pinnacle Systems, Inc. (Wrong ID)
 bdbd  Blackmagic Design
+	a106  Multibridge Extreme
 	a117  Intensity Pro
 	a11a  DeckLink HD Extreme 2
 	a11b  DeckLink SDI/Duo/Quad
@@ -24199,6 +25775,7 @@
 	1220  Wildcard TE220 dual-span T1/E1/J1 card 3.3V (PCI-Express) (5th gen)
 	1405  Wildcard TE405P/TE407P quad-span T1/E1/J1 card 5.0V (u1)
 	1420  Wildcard TE420 quad-span T1/E1/J1 card 3.3V (PCI-Express) (5th gen)
+	1820  Wildcard TE820 octal-span T1/E1/J1 card 3.3V (PCI-Express)
 	2400  Wildcard TDM2400P 24-port analog card
 	3400  Wildcard TC400P transcoder base card
 	8000  Wildcard TE121 single-span T1/E1/J1 card (PCI-Express)
@@ -24212,6 +25789,12 @@
 	8008  Hx8 Series 8-port Base Card (PCI-Express)
 	800a  Wildcard TE133 single-span T1/E1/J1 card (PCI Express)
 	800b  Wildcard TE134 single-span T1/E1/J1 card
+	800c  Wildcard A8A 8-port analog card
+	800d  Wildcard A8B 8-port analog card (PCI-Express)
+	800e  Wildcard TE235/TE435 quad-span T1/E1/J1 card (PCI-Express)
+	800f  Wildcard A4A 4-port analog card
+	8010  Wildcard A4B 4-port analog card (PCI-Express)
+	8013  Wildcard TE236/TE436 quad-span T1/E1/J1 card
 	b410  Wildcard B410 quad-BRI card
 d4d4  Dy4 Systems Inc
 	0601  PCI Mezzanine Card
@@ -24218,6 +25801,21 @@
 d531  I+ME ACTIA GmbH
 d84d  Exsys
 dada  Datapath Limited
+	0133  VisionRGB-X2
+	0139  VisionRGB-E1
+	0144  VisionSD8
+	0150  VisionRGB-E2
+	0151  VisionSD4+1
+	0159  VisionAV
+	0161  DGC161
+	0165  DGC165
+	0167  DGC167
+	0168  DGC168
+	1139  VisionRGB-E1S
+	1150  VisionRGB-E2S
+	1151  VisionSD4+1S
+	1153  VisionDVI-DL
+	1154  VisionSDI2
 db10  Diablo Technologies
 dcba  Dynamic Engineering
 	0046  PCIe Altera Cyclone IV
@@ -24270,6 +25868,7 @@
 	53c1  SC1-ALLEGRO
 	cc47  CCG-RUMBA
 	cc4d  CCM-BOOGIE
+e4e4  Xorcom
 e55e  Essence Technology, Inc.
 ea01  Eagle Technology
 	000a  PCI-773 Temperature Card
@@ -24399,8 +25998,12 @@
 	06  SATA controller
 		00  Vendor specific
 		01  AHCI 1.0
+		02  Serial Storage Bus
 	07  Serial Attached SCSI controller
+		01  Serial Storage Bus
 	08  Non-Volatile memory controller
+		01  NVMHCI
+		02  NVM Express
 	80  Mass storage controller
 C 02  Network controller
 	00  Ethernet controller
@@ -24410,6 +26013,7 @@
 	04  ISDN controller
 	05  WorldFip controller
 	06  PICMG controller
+	07  Infiniband controller
 	80  Network controller
 C 03  Display controller
 	00  VGA compatible controller
@@ -24487,6 +26091,7 @@
 		00  8254
 		01  ISA Timer
 		02  EISA Timers
+		03  HPET
 	03  RTC
 		00  Generic
 		01  ISA RTC
@@ -24559,4 +26164,7 @@
 	10  Communication synchronizer
 	20  Signal processing management
 	80  Signal processing controller
+C 12  Processing accelerators
+	00  Processing accelerators
+C 13  Non-Essential Instrumentation
 C ff  Unassigned class
